

@charset "utf-8";


html,body {
  font-size: 16px;
  width: 100%;
  height: 2000px;
  margin: 0;
  padding-bottom: 0;
  background-color: #f0f6ff;
}

.back-left-1 {
  width: 35px;
  height: 100%;
  top: 0;
  left: 0;
  position: absolute;
  background-color: #929EC3;
  background: linear-gradient(90deg, #6364A8, 20%, transparent), /* → */
              linear-gradient(0deg, #6364A8, 25%, transparent), /* ↑ */
              linear-gradient(180deg, #6364A8, 35%, transparent); /* ↓ */
}

.back-left-2 {
  width: 15px;
  height: 100%;
  top: 0;
  left: 60px;
  position: absolute;
  background-color: #929EC3;
}

.back-left-3 {
  width: 15px;
  height: 100%;
  top: 0;
  left: 96px;
  position: absolute;
  background-color: #929EC3;
}

.back-right {
  width: 35px;
  height: 100%;
  top: 0;
  right: 0;
  position: absolute;
  background-color: #929EC3;
  background: linear-gradient(-90deg, #6364A8, 20%, transparent), /* ← */
              linear-gradient(0deg, #6364A8, 25%, transparent), /* ↑ */
              linear-gradient(180deg, #6364A8, 35%, transparent); /* ↓ */
}

.wrapper {
  height: 100%;
  width: 100%;
  /* margin-bottom: 110px; */
  padding: 0;
  top: 0;
  position: relative;
  
}


.site-main-block {
  
  width: auto;
  height: 1890pxpx;
  padding-top: 50px;
  margin:  0 auto;
}

header {
  width: 100%;
  height: 150px;
  top: 0;
 
  background-color: #6364A8;
  margin: 0;
  padding: 0;
  position: sticky;
  z-index: 100;
}

.header-img { 
  background-image: url(/HPimg/HPヘッダー\ 1.png);
  width: 100%;
  height: 110px;
}

.header-menu {
  width: 100%;
  height: 25px;
  padding-top: 5px;
  padding-bottom: 5px;
}

.header-menu p {
  margin: 0
  ;
  padding: 0;
}

footer {
  width: 100%;
  height: 20px;
  padding-top: 85px;
  padding-bottom: 85px;
  bottom: 0px;
  text-align: center;
  font-size: 20px;
  background-color: #6364A8;
  background: linear-gradient(to top, #3e3e6e, 60%, #6364A8);
  position: relative;
}



.press-text {
  width: 560px;
  height: 30px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  display: flex; 
  text-shadow: 2px 2px #1e1e3f;
  color: white;
  position: absolute;
}

.press-text-2 {
  margin-right: 30px;
}

.add-1 {
  font-style: normal;
}

.arti-1 {
  width: 100%;
}

/* (A)キャラクターサムネイルの設定 */
.thumbs img {
  cursor: pointer;
  z-index: 100;
}

.thumbs img:hover {
  transform: scale(1.12);
  transition: 0.2s;
}
/* (A)ここまで */


/* モーダルの設定 */
#myModal {
  
  display: none; /* 通常は非表示 */

  position: fixed; /*モーダルをページ全体に設定 */

  top: 0px; /* モーダルをページの上部 0pxから設定 */

  left: 0px; /* モーダルを左端 0pxから設定 */

  width: 100%; /* モーダルが画面全体の幅を占める */

  height: 100%; /* モーダルが画面全体の高さを占める */

  background-color: rgba(0, 0, 0, 0.658);/* モーダルの半透明の背景を設定 */

  justify-content: center;

  align-items: center; /*カルーセルの位置 */

  z-index: 1000; /* モーダルの優先度 */
  

  /* フェード設定 */
  animation-name: fadein; /* 使うキーフレーム名 */

  animation-duration: 0.2s; /* 作用時間設定 */

  animation-timing-function: ease-out; /* 作用速度設定 */

  animation-fill-mode: forwards; /* スタイルの設定 */
  
}

/* フェードアウト用 modal */
#myModal.out {
  
  display: none; /* 通常は非表示 */
  position: fixed; /*モーダルをページ全体に設定 */
  top: 0px; /* モーダルをページの上部 0pxから設定 */
  left: 0px; /* モーダルを左端 0pxから設定 */
  width: 100%; /* モーダルが画面全体の幅を占める */
  height: 100%; /* モーダルが画面全体の高さを占める */
  background-color: rgba(0, 0, 0, 0.658);/* モーダルの半透明の背景を設定 */
  justify-content: center;
  align-items: center; /*カルーセルの位置 */
  z-index: 1000; /* モーダルの優先度 */
  
 /* フェード設定 */
  animation-name: fadeout; /* 使うキーフレーム名 */
  animation-duration: 0.2s; /* 作用時間設定 */
  animation-timing-function: ease-out; /* 作用速度設定 */
  animation-fill-mode: forwards; /* スタイルの設定 */
}

/* 画像表示用カルーセルの設定 */
.carousel {
  position: relative;
  width: 632px; 
  margin: 60px auto;
}

/* スクロール停止 ON/OFF設定 */
.scroll {
  overflow: hidden;
}

.container {
  height: 983px;
  overflow: hidden;
}

/* <ul>. モーダルの全体画像用<ul>の設定 */
#overall-chara-UL { 
  margin: 0;
  padding: 0;
  height: 100%;
  list-style: none; 
  display: flex;
  transition-duration: 0.3s;
}

/* <li>.　全体画像用<li>の設定 */
.overall-chara {
  margin: 0;
  padding: 0;
  height: 100%;
  min-width: 100%;  
}

/* 全体画像用<img>. <ul>直下の、子要素<li>のリスト化した<img>要素の設定 */
.overall-chara-U img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  animation: scalein 0.2s ease-out;
}

/* 全体画像用<img>フェードアウト用 */
.overall-chara-U.end img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  animation: scaleout1 0.2s ease-out forwards;
}

/* カーレントボタン */
.nav {
  text-align: center;
}
.nav button {
  margin-top: 20px;
  width: 40px;
  height: 40px;
  padding: 0px;
  border: 0;
  background-color: #ddd;
  border-radius: 50%;
}
.nav button + button {
  margin-left: 5px;
}
.nav button.current {
  background-color: black;
}

.progress-bar {
  width: 100px;
  height: 20px;
  background-color: #ddd;
  position: absolute;
  bottom: 15px;
}

.progress {
  width: 0;
  height: 100%;
  background-color: black;
}

/* プログレスバー開始設定 等速で2秒 */
.progress.go {
  width: 100%;
  transition-duration: 2s;
  transition-timing-function: linear;
  
}

/* 進む、戻る、終了用アイコンブロック設定 */
.icon-box { 
  margin-right: calc(50% - 50vw);
  margin-left: calc(50% - 50vw);
  text-align: center;
  margin-top: 15px;

}


.icon-box img {
  position: absolute;
  margin-left: 10px;   
}

.icon-box img:hover {
  transform: scale(1.3);
  transition: 0.15s;
  cursor: pointer;
  opacity: 0.5;
}

.L-icon {
 
  left: -60px;
  top: 500px;
  z-index: 100;
  
}

.E-icon {

  right: -30px;
  top: -30px;
  z-index: 100;
}

.R-icon {
 
  right: -50px;
  top: 500px;
  z-index: 100;
}

.p1 {
  font-size: 10px;
}
.proname {
  width:100%;
  height: 30px;
  margin-right: 57px;
  margin-left: 10px;
  padding-left: 135px;
  padding-right: 15px;
  background-color:rgb(255, 255, 255);
  height:1500px;
}

.proname2 {
  width: 500px;
  margin: 0;
  padding: 0;
}

 .container1 ul {
  max-width: 100%;
  height: auto;
  display: flex;
  flex-wrap: wrap;
 }

.thumbnails {
  overflow-wrap: break-word;
  min-width: 0;
  margin-bottom: 20px;
  
}

.thumbnails ul {
  padding: 0;
  /* display: flex; */
  /* transition-duration: .6s; */
}

.thumbnails li {
  margin-right:15px;
  list-style: none;
}

.thumbnails img {
  width: 158px;
  height: 206px;
  /* object-fit: cover; */
}


/* ----------------------------------------------------------------- */

.sign1 {
  width: 500px;
  margin-top: 20px;
  margin-bottom: 20px;
  background-color:white;
}

.sign2 {
  width: 250px;
  
}


.side-menu {
  background-color:transparent;
  width:250px;
  height:600px;
  text-align:left;
  position: sticky;
  top: 230px; /* スクロール時にビューポートの20px位置に達すると固定 */
  z-index: 30;
} 



.side-menu-bar a{
	width: 253px;
	display: flex;
	padding: 8px;
}

.side-menu-bar a img{ 
	width: 230px;
  position: relative;
	left: 0;
}

.side-menu-bar a img:hover{ 
  left: 15px;
	transform: scale(1.13);	
	transition: 0.15s;
	
}



	
.content {
  background-color:transparent;
  width:1000px;
  height:1500px;
  text-align:center;
  margin-left:10px; /* サイドバーとメインコンテンツの間隔設定 */
}






article {
  display:flex; /* サイドバーとメインコンテンツの横並び設定*/
}

.character {
	height: 400px;
	display:flex;
	margin-left: 400px;	
}


.thumb:hover {
  transform: scale(1.13);	
  transition: 0.15s;
}


body.modal-active {
  overflow: hidden;
}

/* フェードズームイン アニメーション設定 */
@keyframes scalein {

  0% { 
  transform: scale(0.7); 
  }

  100% {
  transform: scale(1.0);
  }

}

/* フェードズームアウト アニメーション設定 */
@keyframes scaleout1 {

  0% { 
  transform: scale(1.0); 
  }

  100% {
  transform: scale(0.7);
  }

}


/* フェードイン アニメーション設定 */
@keyframes fadein {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
  
}

/* フェードアウト アニメーション設定 */
@keyframes fadeout {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
  
}
